/*
 *  ScrollBumper.h
 *  ScrollingTabBarExample 
 *  __  __      
 * /\ \/\ \  __________   
 * \ \ \_\ \/_______  /\   
 *  \ \  _  \  ____/ / /  
 *   \ \_\ \_\ \ \/ / / 
 *    \/_/\/_/\ \ \/ /  
 *             \ \  /
 *              \_\/
 *
 * -----------------------------------------------------------------------------
 * @author: Herbert Veitengruber 
 * @version: 1.0.0
 * -----------------------------------------------------------------------------
 *
 * Copyright (c) 2012 Herbert Veitengruber 
 *
 * Licensed under the MIT license:
 * http://www.opensource.org/licenses/mit-license.php
 */

#import <UIKit/UIKit.h>


// -------------------------------------------------------------------------------
// Interface
// -------------------------------------------------------------------------------
@interface ScrollBumper : UIView

// -------------------------------------------------------------------------------
// Properties
// -------------------------------------------------------------------------------
@property (nonatomic, copy) NSString *imgPath;

// -------------------------------------------------------------------------------
// Constructors
// -------------------------------------------------------------------------------

- (id) initWithPosition:(CGPoint) pos imagePath:(NSString *) path;


// -------------------------------------------------------------------------------
// Public Functions
// -------------------------------------------------------------------------------

// starts the blend out animation
- (void) doBlendOut:(float) duration andDelay:(float) delay;

@end
